#ifndef E_PARAMETERS
#define E_PARAMETERS
#include <easy.h>


#define E_PARAMETER_NOBADPAR      1
#define E_PARAMETER_BADPAROK     (1<<1)
#define E_PARAMETER_MINUSOK      (1<<2)
#define E_PARAMETER_MINUSLAST    (1<<3)
#define E_PARAMETER_H_IS_HELP    (1<<4)
#define E_PARAMETER_V_IS_VERSION (1<<5)

/***************************************************************************/
/* e_parameter_entry: describe one parameter                               */
/* type : type of C variable : Boolean, Character, Integer, Real or String */
/*        Possible values : E_TYPE_BOOLEAN, E_TYPE_CHAR, E_TYPE_INTEGER,   */
/*                          E_TYPE_REAL, E_TYPE_STRING                     */
/* name : the name of the variable as used in data files (a Word)          */
/* p : a pointer to the C variable that must be initialised.               */
/*     types must be respectively : int, char, int, double and (char *)    */
/* init_val : The initial value as a string (or 0).                        */
/* Read : incremented each time a value is read.                           */
/* alias1 : the first alias name for that parameter                        */
/* alias2 : the second alias name for that parameter                       */
/***************************************************************************/
typedef struct {
  char *name;
  int type;
  void *p;
  char *init_val;
  int Read;
  char *alias1;
  char *alias2;
} e_parameter;


int e_parameter_read_arg_line(int argc,char **argv,e_parameter *Par,
                              char **help,char ***Argvp,int mode);
int e_Syntax(char **p);
#endif
