#ifndef SYSF_H
#define SYSF_H
#include<easy.h>
#include <unistd.h>
#include <dirent.h>
#include <sys/types.h>
#include <sys/stat.h>
#include "config.h"

#define MKDIR(PATH) mknod(PATH,S_IFDIR|0775,0)

/* These defs are skiped in the include files */
int lstat(const char *file_name, struct stat *buf);
int readlink(const char *path, char *buf, size_t bufsiz);

extern int Forgiving;

                            /* rsh OR ssh */
#define SYSF_DEFAULT_RSHELL "rsh"
                            /* sysf OR md5 */
#define SYSF_DEFAULT_CHECKSUM "md5"

#ifdef LINUX
/*
#define SYSF_CONFIG_DIR "/usr/local/sys/config"
*/
#define SYSF_CONFIG_FILE "sysf.conf"
#define SYSF_CF         "/etc/sysf.cf"
#define MAIL_COM        "/bin/mail"
#define RSH_COM         "/usr/bin/rsh"
#define SSH_COM         "/usr/bin/ssh"
#define RMDIR_COM       "/bin/rmdir"
#define MKDIR_COM       "/bin/mkdir"
#define RM_COM          "/bin/rm"
#define LN_COM          "/bin/ln"
#define CP_COM          "/bin/cp"
#define MV_COM          "/bin/mv"
#define __USE_POSIX

#ifndef S_ISLNK
#define S_ISLNK(mode)    __S_ISTYPE((mode), __S_IFLNK)
#endif

extern int gethostname (char *__name, size_t __len) __THROW;

/* These defs are skiped in the include files */
int lstat(const char *file_name, struct stat *buf);
int readlink(const char *path, char *buf, size_t bufsiz);
#endif

#ifdef SOLARIS
/*
#define SYSF_CONFIG_DIR "/usr/local/share/config"
*/
#define SYSF_CONFIG_FILE "sysf.conf"
/* #define MAIL_COM        "/usr/local/lbin/mail" */
#define SYSF_CF         "/etc/sysf.cf"
#define MAIL_COM        "/usr/bin/mailx"
#define RSH_COM         "/usr/bin/rsh"
#define SSH_COM         "ssh"
#define RMDIR_COM       "/bin/rmdir"
#define MKDIR_COM       "/bin/mkdir"
#define RM_COM          "/bin/rm"
#define LN_COM          "/bin/ln"
#define CP_COM          "/bin/cp"
#define MV_COM          "/bin/mv"
#endif

void get_command_name(char *name);

#define FILE_MODE_MASK 0xfff
#endif
